Platform List
Interface description: Returns the metadata list of registered platforms, including display name, logo, capability statement, etc.
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/platforms{
"code": 0,
"message": "Request succeeded",
"data": [
{
"platform": "douyin",
"displayName": {
"en-US": "string",
"zh-CN": "string"
},
"logoUrl": "https://assets.aitoearn.cn/example.png",
"authType": "oauth2",
"editor": "none",
"contentLimits": {
"modes": [
"article2"
],
"maxTitleLength": 1,
"maxBodyLength": 1,
"maxTotalTextLength": 1,
"maxMediaCount": 1,
"maxImages": 1,
"maxVideos": 1
},
"mediaRules": {
"imageFormats": [
"string"
],
"videoFormats": [
"string"
],
"maxImageSize": 1,
"maxVideoSize": 1,
"minVideoDuration": 1,
"maxVideoDuration": 1,
"minImageWidth": 1,
"minImageHeight": 1,
"maxImageWidth": 1,
"maxImageHeight": 1,
"aspectRatio": {
"min": 1,
"max": 1
}
},
"topic": {
"supported": true,
"nativeField": true,
"maxCount": 1,
"maxTotalLength": 1
},
"capabilities": {
"auth": {
"supported": true,
"revoke": true,
"selectableAccounts": true,
"refreshAccountAccess": true
},
"publish": {
"supported": true,
"cancel": true,
"update": true,
"verify": true,
"finalize": true,
"scheduleByPlatform": true,
"optionSources": true,
"completionStrategy": "sync"
},
"analytics": {
"account": true,
"work": true
},
"engagement": {
"comments": {
"list": {},
"create": {}
},
"functions": [
{}
]
},
"work": {
"listWorks": true,
"listWorksPagination": {},
"getLinkInfo": true,
"getDetail": true,
"verifyOwnership": true
},
"browse": {
"search": true,
"getDetail": true
},
"webhook": {
"supported": true
}
},
"optionSchema": {},
"status": "hidden",
"authInstructions": {
"en-US": "string",
"zh-CN": "string"
}
}
]
}Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
platform
douyin, xhs, wxSph, KWAI, youtube, wxGzh, bilibili, twitter, tiktok, facebook, instagram, threads, pinterest, linkedin, google_business Platform logo URL
Authorization type
oauth2, browser, plugin, qrcode Editor type
none, text, html Content restrictions
Hide child attributes
Hide child attributes
Supported publishing content modes
article2, article, video Maximum title length
Maximum text length
Maximum length of final published text
Maximum number of media
Maximum number of pictures
Maximum number of videos
media rules
Hide child attributes
Hide child attributes
Picture format
video format
Maximum number of bytes of image
Maximum number of bytes of video
Minimum seconds of video
Maximum seconds of video
Image minimum width
Minimum image height
Maximum image width
Maximum image height
topic ability
Hide child attributes
Hide child attributes
Platform operation capability
Hide child attributes
Hide child attributes
Authorization ability
Hide child attributes
Hide child attributes
Whether to support authorization
Whether to support cancellation of authorization
Whether to support selecting sub-account after authorization
Whether to support refreshing sub-account access credentials
publishing capabilities
Hide child attributes
Hide child attributes
Whether to support server-side publishing
Whether to support canceling platform-side publishing
Whether to support updating published content
Whether to support release result verification
Whether to support post-release polling or closing
Whether to support platform native scheduled release
Whether to support dynamic publishing options
Release Completion Strategy
sync, polling, media_finalize, webhook, user_handoff Interactive capabilities
Hide child attributes
Hide child attributes
Comment ability
Hide child attributes
Hide child attributes
Comment list capability
Hide child attributes
Hide child attributes
Whether to support comment list
Comment list paging capability
- Option 1
- Option 2
- Option 3
Hide child attributes
Hide child attributes
Paging mode
cursor Default quantity
0 < x <= 9007199254740991maximum quantity
0 < x <= 9007199254740991Whether to support the previous page
Comment list parameters
Hide child attributes
Hide child attributes
Query parameters JSON Schema
Body parameter JSON Schema
Function data parameter JSON Schema
Create comment capabilities
Hide child attributes
Hide child attributes
Whether to support creating comments
Create comment parameters
Hide child attributes
Hide child attributes
Query parameters JSON Schema
Body parameter JSON Schema
Function data parameter JSON Schema
Interactive functions supported by the platform
Hide child attributes
Hide child attributes
Interactive function name
delete_comment, like, unlike, repost, undo_repost, quote, bookmark, remove_bookmark, hide_reply, unhide_reply, follow, unfollow Interaction target type
work, comment, account Function parameters
Hide child attributes
Hide child attributes
Query parameters JSON Schema
Body parameter JSON Schema
Function data parameter JSON Schema
Work ability
Hide child attributes
Hide child attributes
Whether to support account works list
Account work list paging ability
- Option 1
- Option 2
- Option 3
Hide child attributes
Hide child attributes
Paging mode
cursor Default quantity
0 < x <= 9007199254740991maximum quantity
0 < x <= 9007199254740991Whether to support the previous page
Whether to support parsing work links
Whether the work details are supported
Whether to support work attribution verification
Publish options JSON Schema
Platform status
hidden, available, unavailable, coming_soon Empty account guidance prompt
Hide child attributes
Hide child attributes
Action button
Hide child attributes
Hide child attributes
Default publishing options
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/platforms{
"code": 0,
"message": "Request succeeded",
"data": [
{
"platform": "douyin",
"displayName": {
"en-US": "string",
"zh-CN": "string"
},
"logoUrl": "https://assets.aitoearn.cn/example.png",
"authType": "oauth2",
"editor": "none",
"contentLimits": {
"modes": [
"article2"
],
"maxTitleLength": 1,
"maxBodyLength": 1,
"maxTotalTextLength": 1,
"maxMediaCount": 1,
"maxImages": 1,
"maxVideos": 1
},
"mediaRules": {
"imageFormats": [
"string"
],
"videoFormats": [
"string"
],
"maxImageSize": 1,
"maxVideoSize": 1,
"minVideoDuration": 1,
"maxVideoDuration": 1,
"minImageWidth": 1,
"minImageHeight": 1,
"maxImageWidth": 1,
"maxImageHeight": 1,
"aspectRatio": {
"min": 1,
"max": 1
}
},
"topic": {
"supported": true,
"nativeField": true,
"maxCount": 1,
"maxTotalLength": 1
},
"capabilities": {
"auth": {
"supported": true,
"revoke": true,
"selectableAccounts": true,
"refreshAccountAccess": true
},
"publish": {
"supported": true,
"cancel": true,
"update": true,
"verify": true,
"finalize": true,
"scheduleByPlatform": true,
"optionSources": true,
"completionStrategy": "sync"
},
"analytics": {
"account": true,
"work": true
},
"engagement": {
"comments": {
"list": {},
"create": {}
},
"functions": [
{}
]
},
"work": {
"listWorks": true,
"listWorksPagination": {},
"getLinkInfo": true,
"getDetail": true,
"verifyOwnership": true
},
"browse": {
"search": true,
"getDetail": true
},
"webhook": {
"supported": true
}
},
"optionSchema": {},
"status": "hidden",
"authInstructions": {
"en-US": "string",
"zh-CN": "string"
}
}
]
}
